package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.IProtSheepInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 单个羊只信息 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-08-14
 */
@RestController
@RequestMapping("/prot-sheep-info")
@CrossOrigin
public class ProtSheepInfoController {

    @Autowired
    private IProtSheepInfoService sheepInfoService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return sheepInfoService.listPage(paramsMap);
    }
}
