package com.huimv.admin.service;

import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.BaseBuilding;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2024-08-15
 */
public interface IBaseBuildingService extends IService<BaseBuilding> {

    Result addBuilding(BaseBuilding baseBuilding);

    Result updateBuilding(BaseBuilding baseBuilding);

    Result deleteBuilding(Map<String, Integer> map);

    //给其他地方使用的栋舍列表
    Result listBuilding(Map<String, String> map);

    Result listTreeBuilding(Map<String, String> map);
}
