package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.BaseBuilding;
import com.huimv.admin.service.IBaseBuildingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2024-08-15
 */
@RestController
@RequestMapping("/base-building")
@CrossOrigin
public class BaseBuildingController {
    @Autowired
    private IBaseBuildingService baseBuildingService;

    @PostMapping("/addBuilding")
    public Result addBuilding(@RequestBody BaseBuilding baseBuilding) {
        return baseBuildingService.addBuilding(baseBuilding);
    }
    @PostMapping("/updateBuilding")
    public Result updateBuilding(@RequestBody BaseBuilding baseBuilding) {
        return  baseBuildingService.updateBuilding(baseBuilding);
    }

    @PostMapping("/deleteBuilding")
    public Result deleteBuilding(@RequestBody Map<String,Integer> map) {
        return  baseBuildingService.deleteBuilding(map);
    }

    @PostMapping("/listBuilding")
    public Result listBuilding(@RequestBody Map<String, String> map){
        return baseBuildingService.listBuilding(map);
    }

    @PostMapping("/listTreeBuilding")
    public Result listTreeBuilding(@RequestBody Map<String, String> map){
        return baseBuildingService.listTreeBuilding(map);
    }
}
